package de.bsvrz.sys.funclib.bitctrl.modell.util.cache;

import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.sys.funclib.bitctrl.modell.ObjektFactory;

/**
 * Stellt sicher, das eine Datenverteiler-Verbindung existiert.
 * 
 * @author BitCtrl Systems GmbH, schnepel
 * @version $Id$
 */
public abstract class AbstractDavVerbindungsCache extends AbstractCache {

	public abstract ClientDavInterface getClientDavInterface();

	public abstract ObjektFactory getObjektFactory();

}
