/**
 * 
 */
package de.bsvrz.sys.funclib.bitctrl.modell.util.cache;

import com.bitctrl.util.monitor.IMonitor;

import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.sys.funclib.bitctrl.modell.ObjektFactory;

public class SimpleDavVerbindungsCache extends AbstractDavVerbindungsCache {
	private final ObjektFactory objektFactory;

	public SimpleDavVerbindungsCache(final ObjektFactory objektFactory) {
		this.objektFactory = objektFactory;
	}

	@Override
	public ClientDavInterface getClientDavInterface() {
		return objektFactory.getDav();
	}

	@Override
	public ObjektFactory getObjektFactory() {
		return objektFactory;
	}

	@Override
	protected boolean doInit(final IMonitor monitor) {
		return true;
	}
}